"use strict";
var connection = null;
var clientID = 0;

function connect() {
  var serverUrl;

  serverUrl = "ws://192.168.5.244/rpc";

  connection = new WebSocket(serverUrl, "json");
  console.log("***CREATED WEBSOCKET");

  connection.onopen = function(evt) {
    console.log("***ONOPEN");
    do0();
    do1();
  };
  console.log("***CREATED ONOPEN");

  connection.onmessage = function(evt) {
    console.log("***ONMESSAGE");
    var f = document.getElementById("chatbox").contentDocument;
    var msg = JSON.parse(evt.data);
    console.log("Message received: ");
    console.dir(msg);
    
    switch(msg.id){
    case 123:
	f.write("<B>WiFi config is:</B> " + JSON.stringify(msg.result) + "<br>");
	break;
    case 456:
	f.write("<B>System info:</B> " + JSON.stringify(msg.result) + "<br>");
	break;
    }

    document.getElementById("chatbox").contentWindow.scrollByPages(1);
  };
  console.log("***CREATED ONMESSAGE");
}

function do1() {
  var msg = {
    id: 123,
    method: "Config.Get",
    params: {key: "wifi.sta"}
  };
  connection.send(JSON.stringify(msg));
}

function do0() {
  var msg = {
    id: 456,
    method: "Sys.GetInfo"
  };
  connection.send(JSON.stringify(msg));
}
